<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerNotifiers/Notifiers/BloodNotfr.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/de9/_blood_notfr_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">BloodNotfr.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/de9/_blood_notfr_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d3f/class_blood_notfr.html">BloodNotfr</a>: <a class="code hl_class" href="../../d9/d1b/class_notifier_base.html">NotifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#add9849686a7bd54599925529951f389f">    3</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#add9849686a7bd54599925529951f389f">DEC_TRESHOLD_LOW</a>    = 0;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#ad5fb7407b0b63352c09309854073d68c">    4</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#ad5fb7407b0b63352c09309854073d68c">DEC_TRESHOLD_MED</a>    = -12;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#af26ca8d022050dce836042de9decfb0e">    5</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#af26ca8d022050dce836042de9decfb0e">DEC_TRESHOLD_HIGH</a>   = -22;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#a8a11b200cd947702f56246ea10ae174e">    6</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#a8a11b200cd947702f56246ea10ae174e">INC_TRESHOLD_LOW</a>    = 0;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#a4500083056be96e972c0199f41944a5e">    7</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#a4500083056be96e972c0199f41944a5e">INC_TRESHOLD_MED</a>    = 3;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#a9a59a6f6df9832e74753cd2b30f3d4bf">    8</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">float</span>   <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#a9a59a6f6df9832e74753cd2b30f3d4bf">INC_TRESHOLD_HIGH</a>   = 6;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#abb0860fe986ef52acd055451735dc37b">   10</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d3f/class_blood_notfr.html#abb0860fe986ef52acd055451735dc37b">BloodNotfr</a>(<a class="code hl_function" href="../../d5/d4d/_notifiers_manager_8c.html#a131baa5cbe699be20bd8ced9ed147f00">NotifiersManager</a> manager)</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#ad7e64d6e3f7af46fe828ba157f7571f2">   14</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/d3f/class_blood_notfr.html#ad7e64d6e3f7af46fe828ba157f7571f2">GetNotifierType</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d4d/_notifiers_manager_8c.html#a3687963b70e03873b68004412de2fe78">eNotifiers</a>.NTF_BLOOD;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#a46c82124386bb42f5b44e09507b2914f">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d3f/class_blood_notfr.html#a46c82124386bb42f5b44e09507b2914f">DisplayTendency</a>(<span class="keywordtype">float</span> delta)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordtype">int</span> tendency = <a class="code hl_function" href="../../d9/d1b/class_notifier_base.html#a4c658e0301100da94c6b75c7e1b2bb73">CalculateTendency</a>(delta, <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#a8a11b200cd947702f56246ea10ae174e">INC_TRESHOLD_LOW</a>, <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#a4500083056be96e972c0199f41944a5e">INC_TRESHOLD_MED</a>, <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#a9a59a6f6df9832e74753cd2b30f3d4bf">INC_TRESHOLD_HIGH</a>, <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#add9849686a7bd54599925529951f389f">DEC_TRESHOLD_LOW</a>, <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#ad5fb7407b0b63352c09309854073d68c">DEC_TRESHOLD_MED</a>, <a class="code hl_variable" href="../../df/d3f/class_blood_notfr.html#af26ca8d022050dce836042de9decfb0e">DEC_TRESHOLD_HIGH</a>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="comment">//DSLevels level = DetermineLevel( GetObservedValue(), PlayerConstants.THRESHOLD_BLOOD_WARNING,  PlayerConstants.THRESHOLD_BLOOD_CRITICAL, PlayerConstants.THRESHOLD_BLOOD_BLINKING, PlayerConstants.THRESHOLD_BLOOD_EXTRA );</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_class" href="../../d0/dea/class_display_element_tendency.html">DisplayElementTendency</a> dis_elm = <a class="code hl_class" href="../../d0/dea/class_display_element_tendency.html">DisplayElementTendency</a>.Cast(<a class="code hl_function" href="../../d9/d1b/class_notifier_base.html#a9b6f31c34bb2697eeb6cfb1caf47b24d">GetVirtualHud</a>().<a class="code hl_function" href="../../d9/de7/_display_status_8c.html#aac68be68788d8cf70610df663ca7890d">GetElement</a>(eDisplayElements.DELM_TDCY_BLOOD));</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_enumeration" href="../../da/db4/_e_stat_levels_8c.html#a33dd957dac0dffc62424608704bc94a3">EStatLevels</a> blood_level = <a class="code hl_variable" href="../../d9/d1b/class_notifier_base.html#a3560d59398762c1bd539306a3c4f0921">m_Player</a>.GetStatLevelBlood();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">if</span>( dis_elm )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            dis_elm.SetTendency(tendency);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            dis_elm.SetSeriousnessLevel(blood_level);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../df/d3f/class_blood_notfr.html#ac6b80315872f5f76d353fc7ff35fe214">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../df/d3f/class_blood_notfr.html#ac6b80315872f5f76d353fc7ff35fe214">GetObservedValue</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordtype">float</span> blood = <a class="code hl_variable" href="../../d9/d1b/class_notifier_base.html#a3560d59398762c1bd539306a3c4f0921">m_Player</a>.GetHealth(<span class="stringliteral">&quot;GlobalHealth&quot;</span>,<span class="stringliteral">&quot;Blood&quot;</span>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> blood;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>};</div>
<div class="ttc" id="a_display_status_8c_html_aac68be68788d8cf70610df663ca7890d"><div class="ttname"><a href="../../d9/de7/_display_status_8c.html#aac68be68788d8cf70610df663ca7890d">GetElement</a></div><div class="ttdeci">DisplayElementBase GetElement(eDisplayElements element_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de7/_display_status_8c_source.html#l00095">DisplayStatus.c:95</a></div></div>
<div class="ttc" id="a_e_stat_levels_8c_html_a33dd957dac0dffc62424608704bc94a3"><div class="ttname"><a href="../../da/db4/_e_stat_levels_8c.html#a33dd957dac0dffc62424608704bc94a3">EStatLevels</a></div><div class="ttdeci">EStatLevels</div><div class="ttdef"><b>Definition:</b> <a href="../../da/db4/_e_stat_levels_8c_source.html#l00001">EStatLevels.c:2</a></div></div>
<div class="ttc" id="a_notifiers_manager_8c_html_a131baa5cbe699be20bd8ced9ed147f00"><div class="ttname"><a href="../../d5/d4d/_notifiers_manager_8c.html#a131baa5cbe699be20bd8ced9ed147f00">NotifiersManager</a></div><div class="ttdeci">void NotifiersManager(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/_notifiers_manager_8c_source.html#l00035">NotifiersManager.c:35</a></div></div>
<div class="ttc" id="a_notifiers_manager_8c_html_a3687963b70e03873b68004412de2fe78"><div class="ttname"><a href="../../d5/d4d/_notifiers_manager_8c.html#a3687963b70e03873b68004412de2fe78">eNotifiers</a></div><div class="ttdeci">eNotifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/_notifiers_manager_8c_source.html#l00001">NotifiersManager.c:2</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html">BloodNotfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00001">BloodNotfr.c:2</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_a4500083056be96e972c0199f41944a5e"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#a4500083056be96e972c0199f41944a5e">BloodNotfr::INC_TRESHOLD_MED</a></div><div class="ttdeci">protected const float INC_TRESHOLD_MED</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00007">BloodNotfr.c:7</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_a46c82124386bb42f5b44e09507b2914f"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#a46c82124386bb42f5b44e09507b2914f">BloodNotfr::DisplayTendency</a></div><div class="ttdeci">override void DisplayTendency(float delta)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00019">BloodNotfr.c:19</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_a8a11b200cd947702f56246ea10ae174e"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#a8a11b200cd947702f56246ea10ae174e">BloodNotfr::INC_TRESHOLD_LOW</a></div><div class="ttdeci">protected const float INC_TRESHOLD_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00006">BloodNotfr.c:6</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_a9a59a6f6df9832e74753cd2b30f3d4bf"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#a9a59a6f6df9832e74753cd2b30f3d4bf">BloodNotfr::INC_TRESHOLD_HIGH</a></div><div class="ttdeci">protected const float INC_TRESHOLD_HIGH</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00008">BloodNotfr.c:8</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_abb0860fe986ef52acd055451735dc37b"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#abb0860fe986ef52acd055451735dc37b">BloodNotfr::BloodNotfr</a></div><div class="ttdeci">void BloodNotfr(NotifiersManager manager)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00010">BloodNotfr.c:10</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_ac6b80315872f5f76d353fc7ff35fe214"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#ac6b80315872f5f76d353fc7ff35fe214">BloodNotfr::GetObservedValue</a></div><div class="ttdeci">override float GetObservedValue()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00037">BloodNotfr.c:37</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_ad5fb7407b0b63352c09309854073d68c"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#ad5fb7407b0b63352c09309854073d68c">BloodNotfr::DEC_TRESHOLD_MED</a></div><div class="ttdeci">protected const float DEC_TRESHOLD_MED</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00004">BloodNotfr.c:4</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_ad7e64d6e3f7af46fe828ba157f7571f2"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#ad7e64d6e3f7af46fe828ba157f7571f2">BloodNotfr::GetNotifierType</a></div><div class="ttdeci">override int GetNotifierType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00014">BloodNotfr.c:14</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_add9849686a7bd54599925529951f389f"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#add9849686a7bd54599925529951f389f">BloodNotfr::DEC_TRESHOLD_LOW</a></div><div class="ttdeci">protected const float DEC_TRESHOLD_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00003">BloodNotfr.c:3</a></div></div>
<div class="ttc" id="aclass_blood_notfr_html_af26ca8d022050dce836042de9decfb0e"><div class="ttname"><a href="../../df/d3f/class_blood_notfr.html#af26ca8d022050dce836042de9decfb0e">BloodNotfr::DEC_TRESHOLD_HIGH</a></div><div class="ttdeci">protected const float DEC_TRESHOLD_HIGH</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de9/_blood_notfr_8c_source.html#l00005">BloodNotfr.c:5</a></div></div>
<div class="ttc" id="aclass_display_element_tendency_html"><div class="ttname"><a href="../../d0/dea/class_display_element_tendency.html">DisplayElementTendency</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d9b/_tendency_bacteria_8c_source.html#l00001">TendencyBacteria.c:2</a></div></div>
<div class="ttc" id="aclass_notifier_base_html"><div class="ttname"><a href="../../d9/d1b/class_notifier_base.html">NotifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc5/_notifier_base_8c_source.html#l00001">NotifierBase.c:2</a></div></div>
<div class="ttc" id="aclass_notifier_base_html_a3560d59398762c1bd539306a3c4f0921"><div class="ttname"><a href="../../d9/d1b/class_notifier_base.html#a3560d59398762c1bd539306a3c4f0921">NotifierBase::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc5/_notifier_base_8c_source.html#l00006">NotifierBase.c:6</a></div></div>
<div class="ttc" id="aclass_notifier_base_html_a4c658e0301100da94c6b75c7e1b2bb73"><div class="ttname"><a href="../../d9/d1b/class_notifier_base.html#a4c658e0301100da94c6b75c7e1b2bb73">NotifierBase::CalculateTendency</a></div><div class="ttdeci">protected int CalculateTendency(float delta, float inctresholdlow, float inctresholdmed, float inctresholdhigh, float dectresholdlow, float dectresholdmed, float dectresholdhigh)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc5/_notifier_base_8c_source.html#l00171">NotifierBase.c:171</a></div></div>
<div class="ttc" id="aclass_notifier_base_html_a9b6f31c34bb2697eeb6cfb1caf47b24d"><div class="ttname"><a href="../../d9/d1b/class_notifier_base.html#a9b6f31c34bb2697eeb6cfb1caf47b24d">NotifierBase::GetVirtualHud</a></div><div class="ttdeci">VirtualHud GetVirtualHud()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc5/_notifier_base_8c_source.html#l00049">NotifierBase.c:49</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_75b06a21c8b9343c826d106474669db4.html">PlayerNotifiers</a></li><li class="navelem"><a class="el" href="../../dir_d57483f090f9d1cd438112eadf9937f0.html">Notifiers</a></li><li class="navelem"><a class="el" href="../../d2/de9/_blood_notfr_8c.html">BloodNotfr.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
